| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# fieldsynopsis

$Revision: 1.2 $

$Date: 2002/06/11 01:19:58 $

fieldsynopsis — The name of a field in a class definition

## Synopsis

### Content Model

    fieldsynopsis ::=
    (modifier*,type?,varname,initializer?)

### Attributes

Common attributes

Name | Type | Default
language | CDATA | None

## Description

A `FieldSynopsis` contains the syntax summary of a field (generally speaking, fields in the object-oriented programming language sense).

### Processing expectations

For the most part, the processing application is expected to generate all of the parenthesis, semicolons, commas, and so on. required in the rendered synopsis.

### Parents

These elements contain fieldsynopsis: `answer`, `appendix`, `application`, `article`, `attribution`, `bibliodiv`, `bibliography`, `bibliomisc`, `blockquote`, `callout`, `caution`, `chapter`, `citation`, `citetitle`, `classsynopsis`, `constraintdef`, `emphasis`, `entry`, `example`, `figure`, `footnote`, `foreignphrase`, `glossary`, `glossdef`, `glossdiv`, `glosssee`, `glossseealso`, `glossterm`, `important`, `index`, `indexdiv`, `informalexample`, `informalfigure`, `itemizedlist`, `lineannotation`, `link`, `listitem`, `literallayout`, `lotentry`, `member`, `msgaud`, `msgexplan`, `msgtext`, `note`, `olink`, `orderedlist`, `para`, `partintro`, `phrase`, `preface`, `procedure`, `productname`, `programlisting`, `qandadiv`, `qandaset`, `question`, `quote`, `refentrytitle`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `remark`, `revdescription`, `screen`, `screeninfo`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `seg`, `setindex`, `sidebar`, `simpara`, `simplesect`, `step`, `synopsis`, `term`, `tip`, `tocback`, `tocentry`, `tocfront`, `ulink`, `variablelist`, `warning`.

### Children

The following elements occur in fieldsynopsis: `initializer`, `modifier`, `type`, `varname`.

fax |  | figure

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.